<h1 mat-dialog-title fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="16px">
  <mat-icon>memory</mat-icon>
  <span>Images processing</span>
</h1>
<mat-dialog-content>
  <div fxLayout="row" fxLayoutGap="8px" [formGroup]="configForm">
    <mat-form-field appearance="outline">
      <mat-label>Limit</mat-label>
      <input type="number" matInput formControlName="limit">
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Delay (ms)</mat-label>
      <input type="number" matInput formControlName="delay">
    </mat-form-field>
  </div>
  <mat-action-list>
    <button mat-list-item (click)="checkNonMelImages()">
      <mat-icon mat-list-icon>perm_media</mat-icon>
      <span mat-line>Check non MEL images</span>
      <span mat-line *ngIf="nonMelImages !== undefined">> {{ nonMelImages }} image(s)</span>
    </button>
    <button mat-list-item (click)="downloadImages()">
      <mat-icon mat-list-icon *ngIf="!downloadingImages">file_download</mat-icon>
      <mat-icon mat-list-icon *ngIf="downloadingImages">downloading</mat-icon>
      <span mat-line>Download images</span>
      <span mat-line *ngIf="downloadedImages !== undefined && nonMelImages !== undefined">{{ downloadedImages }} / {{ nonMelImages }}</span>
      <mat-progress-bar *ngIf="downloadedImages !== undefined && nonMelImages !== undefined" [value]="downloadedImagesPercentage"></mat-progress-bar>
    </button>
  </mat-action-list>
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-button mat-dialog-close>Close</button>
</mat-dialog-actions>
